<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Team List</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<style>
    .container.second {
        max-height: 420px;
        overflow-y: auto;
        margin-bottom: 30px;
    }

    .container.third table{
        width: 100%;
    }

    .container.third{
        margin-bottom: 50px;
    }

    th {
        position: -webkit-sticky;
        position: sticky;
        top: 0;
        background-color: cadetblue;
        z-index: 999;
        color: white;
    }

</style>
<body>
<div th:replace="~{fragments/header :: header}"></div>
<div class="container">
    <div class="text-center my-4">
        <h1 th:text="#{team.text1}">Welcome to Our Teams Page</h1>
        <p th:text="#{team.text2}">Explore the list of cycling teams and their details below:</p>
    </div>
</div>
<div class="container second">
    <table class="table table-striped">
        <tr>
            <th th:text="#{updateTeam.text11}">Id</th>
            <th th:text="#{team.text3}">Team Name</th>
            <th th:text="#{team.text4}">Sponsor</th>
            <th th:text="#{team.text5}">Country</th>
            <th th:text="#{team.text6}">Bike Brand</th>
            <th th:text="#{team.text7}">Founded</th>
            <th th:text="#{team.text8}">Action</th>
            <th th:text="#{team.text9}">Delete Team</th>
        </tr>
        <tr th:each="team: ${teams}">
            <td th:text="${team.id}"></td>
            <td th:text="${team != null && team.teamName != null ? team.teamName : 'No Team'}"></td>
            <td th:text="${team.sponsor}"></td>
            <td th:text="${team.country}"></td>
            <td th:text="${team.bikeBrand}"></td>
            <td th:text="${team.founded}"></td>
            <td>
                <button th:text="#{team.text10}" class="btn btn-primary" data-toggle="collapse" th:data-target="'#teamDetails_' + ${team.id}">
                    Show Details
                </button>
                <a th:text="#{team.text11}" class="btn btn-primary" th:href="@{'/updateteam?id=' + ${team.id}}">Update</a>
            </td>
            <td>
                <form th:action="@{'/delete-team/' + ${team.id}}" method="post">
                    <button th:text="#{team.text12}" type="submit" class="btn btn-danger">Delete</button>
                </form>
            </td>
        </tr>
    </table>
</div>
<div class="container third">
    <table>
        <tr th:each="team: ${teamsWithRiders}" th:id="'teamDetails_' + ${team.id}" class="collapse">
            <td colspan="6">
                <table class="table table-bordered">
                    <tr>
                        <th th:text="#{team.text13}">Cyclist Name</th>
                        <th th:text="#{team.text14}">Age</th>
                        <th th:text="#{team.text15}">Nationality</th>
                        <th th:text="#{team.height}">Height</th>
                    </tr>
                    <tr>
                        <td>
                            <ul>
                                <li th:each="cyclist: ${team.cyclists}"
                                    th:text="${cyclist.name}"></li>
                            </ul>
                        </td>
                        <td>
                            <ul>
                                <li th:each="cyclist: ${team.cyclists}"
                                    th:text="${cyclist.age}"></li>
                            </ul>
                        </td>
                        <td>
                            <ul>
                                <li th:each="cyclist: ${team.cyclists}"
                                    th:text="${cyclist.nationality}"></li>
                            </ul>
                        </td>
                        <td>
                            <ul>
                                <li th:each="cyclist: ${team.cyclists}"
                                    th:text="${cyclist.height}"></li>
                            </ul>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</div>
<div th:replace="~{fragments/footer :: footer}"></div>
</body>
</html>
